{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}
Custom Objects
Update
Perform a partial update of an object identified by {objectId} in the CRM. The {objectId} refers to the internal object ID by default, or any unique property value specified by the idProperty query parameter. Provided property values will overwrite existing values, while read-only and non-existent properties will be ignored. Properties can be cleared by passing an empty string.
The access token received from the authorization server in the OAuth 2.0 flow.
Scopes
crm.objects.deals.read
crm.objects.subscriptions.read
crm.objects.services.read
crm.objects.tickets.sensitive.read
crm.objects.orders.read
crm.objects.listings.write
crm.objects.custom.read
crm.objects.companies.write
crm.objects.tasks.read
crm.objects.custom.sensitive.write.v2
crm.objects.custom.highly_sensitive.write.v2
crm.objects.companies.read
crm.objects.appointments.sensitive.read.v2
crm.objects.contacts.highly_sensitive.read.v2
crm.objects.tickets.highly_sensitive.read
crm.objects.companies.sensitive.read.v2
crm.objects.tickets.sensitive.write
media_bridge.read
crm.objects.deals.highly_sensitive.read.v2
crm.objects.contacts.highly_sensitive.write.v2
crm.objects.companies.highly_sensitive.read.v2
crm.objects.commercepayments.write
crm.objects.invoices.write
crm.objects.contacts.sensitive.write.v2
crm.objects.calls.read
crm.objects.users.write
crm.objects.meetings.read
crm.objects.custom.sensitive.read.v2
crm.objects.users.read
crm.objects.partner-services.read
crm.objects.orders.write
crm.objects.partner-services.write
crm.objects.appointments.write
crm.objects.projects.highly_sensitive.write
crm.objects.carts.write
crm.objects.tickets.highly_sensitive.write
crm.objects.commercepayments.read
crm.objects.products.write
crm.objects.feedback_submissions.read
crm.objects.services.write
crm.objects.subscriptions.write
crm.objects.deals.sensitive.write.v2
crm.objects.contacts.read
crm.objects.appointments.sensitive.write.v2
crm.objects.projects.highly_sensitive.read
crm.objects.invoices.read
crm.objects.custom.write
tickets.sensitive.v2
crm.objects.deals.write
e-commerce
crm.objects.appointments.read
crm.objects.projects.read
crm.objects.companies.sensitive.write.v2
crm.objects.companies.highly_sensitive.write.v2
crm.objects.deals.highly_sensitive.write.v2
crm.objects.custom.highly_sensitive.read.v2
crm.objects.goals.write
crm.objects.projects.sensitive.read
crm.objects.line_items.write
crm.objects.contacts.write
crm.objects.goals.read
crm.objects.line_items.read
crm.objects.partner-clients.write
crm.objects.projects.write
crm.objects.projects.sensitive.write
crm.objects.deals.sensitive.read.v2
crm.objects.quotes.write
tickets.highly_sensitive.v2
crm.objects.leads.read
crm.objects.leads.write
crm.objects.carts.read
crm.objects.emails.read
crm.objects.quotes.read
crm.objects.courses.write
crm.objects.partner-clients.read
crm.objects.notes.read
crm.objects.courses.read
crm.objects.listings.read
crm.objects.contacts.sensitive.read.v2
crm.objects.products.read
Path Parameters
objectId
string
required
The unique identifier of the object to update.
objectType
string
required
The type of the object to update.
Query Parameters
idProperty
string
The name of a property whose values are unique for this object type.
Body
application/json
Represents the input required to update a CRM object, containing an object with property names and their corresponding values.
properties
object
required
An object containing key-value pairs where each key is a property name and each value is the property's new value. All properties are expected to be strings.
Show child attributes
Response
successful operation
A simple public object.
archived
boolean
required
A boolean indicating whether this object is archived.
createdAt
string<date-time>
required
The date and time when this object was created, in ISO 8601 format.
id
string
required
The unique identifier for this object, represented as a string.
properties
object
required
A map of property names to their corresponding values, where each value is a string.
Show child attributes
updatedAt
string<date-time>
required
The date and time when this object was last updated, in ISO 8601 format.
archivedAt
string<date-time>
The date and time when this object was archived, in ISO 8601 format.
objectWriteTraceId
string
A string used to trace the write operations for this object.
propertiesWithHistory
object
A map of property names to arrays of values with timestamps, showing the history of changes for each property.
Show child attributes
url
string
A string representing the URL associated with this object.
warnings
object[]
An array of warnings related to this object, each containing a category, message, and context.
Show child attributes
Last modified on November 16, 2026
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.